
Figure - Bug #117748
【BSP】【DVT】【工厂模式】【偶现】工厂模式点击跳过激活后，设备会偶现跳过激活选项消失，但是设备
仍然处于工厂模式界面
2023-05-04 16:01 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0097

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-05

Test Type: ST Root cause: 工厂模式页面展示逻辑问题。

Description

前置条件

None

操作步骤：

1.设备烧写0097版本

2.开机后通过按四角进入工厂模式

3.点击跳过激活

预期结果：

设备跳过激活，直接进入操作界面

实际结果：

设备仍然处于工厂模式界面

History

#1 - 2023-05-04 16:02 - 移动测试一组_CDTS 刘强

PC卡死，导致日志丢失，正在复现重新抓日志

#2 - 2023-05-04 22:25 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#3 - 2023-05-05 09:38 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#4 - 2023-05-05 16:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197555 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:FactoryMode: Fix skip activation func problem.TC-RID: 1201-0207601IssueID: TS-R-BUG-117748Change-Id: If5bd05d0c98c0caf1deecf082eb5ad6010f8b458

#5 - 2023-05-05 16:16 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-05

- Root cause set to 工厂模式页面展示逻辑问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

根据录屏分析，可能是同时存在两个工厂模式页面或者返回时又打开了一个。由于只出现一次且无法复现，所以根据可能的情况进行处理。

处理方式：

限制工厂模式页面的打开（顶层同时只能存在一个），优化工厂模式页面相关逻辑及日志输出。

■ Next action

测试验证，若多个版本表现正常，可关闭此票。若问题还存在，麻烦贴上日志。

#6 - 2023-05-05 21:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197689 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_v8.5

wangxl0510@thundersoft.com

AF:FactoryMode: Fix skip activation func problem.TC-RID: 1201-0207601IssueID: TS-R-BUG-117748Change-Id:

If5bd05d0c98c0caf1deecf082eb5ad6010f8b458(cherry picked from commit c0609017ed2cbffb598fac081bb5e6457c97158a)

#7 - 2023-05-10 14:51 - 移动测试一组_CDTS 刘强

验证版本：0098 未复现

Next：继续跟踪两个版本，不复现再关闭

#8 - 2023-05-15 19:21 - 移动测试一组_CDTS 刘强

0099

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054

两个版本未复现问题，关闭issue

#9 - 2023-05-15 19:21 - 移动测试一组_CDTS 刘强
- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-15 19:22 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
